import request from '@/utils/request'
// 添加规则
export function rulesDetail(query) {
  return request({
    url: '/news/mall/getNotice',
    method: 'get',
    params: query
  })
}
// 更新规则
export function updateRule(query) {
  return request({
    url: '/news/update',
    method: 'post',
    data: query
  })
}
// 获取全部公司
export function companyTypeList(query) {
    return request({
      url: '/sys/user/getCompanys',
      method: 'post',
      params:query
    })
  }
  // 获取全部部门
  export function depTypeList(query) {
    return request({
      url: '/sys/user/getDepts',
      method: 'post',
      params:query
    })
  }
  //获取全部用户
  export function allUserList(query) {
    return request({
      url: '/sys/user/getAll',
      method: 'post',
      params:query
    })
  }

  //字典下拉列表
  export function dataTypeList(query) {
    return request({
      url: '/system/dict/data/type',
      method: 'get',
      params:query
    })
  }
  // 获取全部商品
  export function goodsList(query) {
    return request({
      url: '/mall-sku/integral/optionselect',
      method: 'get',
      params:query
    })
  }
// 获取已开启兑换券下拉
export function couponsList(query) {
  return request({
    url: '/coupon/actOptionselect',
    method: 'get',
    params:query
  })
}

// 获取已开启抽奖奖池下拉
export function prizePoolList(query) {
  return request({
    url: '/mall-pool-type/actOptionselect',
    method: 'get',
    params:query
  })
}

// 获取已开启开奖奖池下拉
export function drawPoolList(query) {
  return request({
    url: '/mall-draw-pool/actOptionselect',
    method: 'get',
    params:query
  })
}
  